package org.kde.koala;
import org.kde.qt.*;


/** {@link KColorButton} emits these signals */
public interface KColorButtonSignals {
	void destroyed( QObject obj );
	void stateChanged( int arg1 );
	void toggled( boolean arg1 );
	void pressed();
	void clicked();

/** 
 Emitted when the color of the widget
 is changed, either with {@link KColorButton#setColor} or via user selection.
	 
*/
	void changed( QColor newColor );
	void released();
}

